\begin{proof}[Proof of \Cref{27}.]
	We claim that $q \colon q^{-1}(\Usmo) \to \Usmo$ is flat. 
	
	We check that 
	\begin{itemize}
		\item $\Usmo$ is open in smooth, so smooth, so regular
		\item $q^{-1}(\Usmo)$ is smooth, so Cohen Macaulay
		\item The fibers are all $0$-dimensional (\Cref{0701two})
	\end{itemize}
	This implies that $q$ is flat. Hence, $\chi(q^{-1}(S),\MO_{q^{-1}(S)})$ is contant in $S$, so independent of $S$. But this is equal to $h^0(q^{-1}(S),\MO_{q^{-1}(S)})$ which is $\operatorname{len} q^{-1}(S)=\#\{l \in q^{-1}(S)\}=\# \setdef{l}{l \subset S}$ by \Cref{0701two} which proves the claim.
\end{proof}
\chapter{Cohomology of Fibers}
How does the cohomology of a fiber cary with $y$? As a function of $y$, what is $H^\ast(X_y,\F_y)$ where $\F_y=i^\ast \F$. 

\begin{lemma}
	The functor $\pi_\ast \colon \MO_X\strich\Mod \to \MO_Y\strich\Mod$ is left exact. 
\end{lemma}
\begin{proof}
	Let 
	\[
	\begin{tikzcd}
		0 \arrow{r} & \F \arrow{r} & \F^\prime \arrow{r} & \F^{\prime \prime} \arrow{r} & 0
	\end{tikzcd} \]
	be a short exact sequence. Then 
	\[ \begin{tikzcd}
	 0 \arrow{r} & \pi_\ast \F(U) \arrow{r} & \pi_\ast \F^{\prime} (U) \arrow{r} & \pi_\ast \F^{\prime \prime} (U)
	\end{tikzcd}\]
	is exact since $\Gamma(\pi^{-1}(U),-)$ is exact. 
\end{proof}
We can hence define $R^i \pi_\ast \F$. How are the fibers $R^i \pi_\ast \F \otimes_{\MO_Y}\kappa(y)$ related to $H^i(X_y, \res{\F}{X_y})$?

What if $\F$ is flat, $\pi$ projective? We will prove that this implies that $y \mapsto \chi(X_y,\res{\F}{X_y})$ is locally constant in $y$. 
\section{Rees Construction}
\begin{example}
	Consider $X= \PR_K^1 \times \A^1 \to Y = \A^1$. There exists a rank $2$ vector bundle $\F$ on $\PR^1 \times \A^1$ such that 
	\begin{enumerate}
		\item $\F_t = \res{\F}{X_t} \cong \MO_{\PR^1} \oplus \MO_{\PR^1}$ for all $t \neq 0$. 
		\item $\F_0 \cong \MO(d) \oplus \MO(-d)$.
		\item $\F$ is flat over $\A^1$. 
	\end{enumerate}
	This is called the \textbf{Rees construction}.
\end{example}
\begin{theorem}[Rees Construction]  \label{rees}
Let $X$ be a variety over $k$ and $\E$ a coherent sheaf on $X$. Furthermore, assume that there is a filtration $0 = \E_0  \subset \E_1 \overset{i_1}{\subset} \E_2 \overset{i_2}{\subset} \dots \overset{i_{l-1}}{\subset} \E_l = \E$. 

There exists a coherent sheaf $\E_{\A^1}$ on $X \times \A^1$ such that 
\begin{enumerate}
	\item $\E_{\A^1,t} = \E$ for all $t \neq 0$ or even stronger
	\item[(a')] $\res{\E_{\A^1}}{\A^1 \setminus \{0\}} = \pi^\ast_X(\E)$
	\item $\E_{\A^1,0} \cong \E_1 \oplus \E_2/\E_1 \oplus \E_3/\E_2 \oplus \dots \oplus \E/\E_{l-1}$, the associated sheaf of the filtration
	\item $\E_{\A^1}$ is flat over $\A^1$.
\end{enumerate}
\end{theorem}
\begin{example}
	Let $X= \PR^1$ and $\E = \MO_{\PR^1} \oplus \MO_{\PR^1}$ with a filtration \[\begin{tikzcd}
		0 \arrow[hook]{r} & \MO(-d) \arrow[hook]{r}{\varphi} & \MO_{\PR^1} \oplus \MO_{\PR^1}
	\end{tikzcd} \]
	such that the $\coker(\varphi)$ is a line bundle $\cong \MO(d)$. We get the earlier example. 
\end{example}
\begin{remark}
	How to think about sheaves on $X \times \A^1$? Consider \[  \begin{tikzcd}
	X \times \A^1 = \underline{\Spec}_{\MO_X} \MO_X[t] \arrow{d}{\pi}[swap]{\text{affine}} \\
	X
	\end{tikzcd}\]
	where, \begin{align*}
	\Coh(X \times \A^1)& \, \cong \, \text{category of coherent $\MO_X[t]$-modules on $X$} \\
	 \F & \longmapsto \pi_\ast \F
	\end{align*}
\end{remark}
\begin{proof}[Proof of \Cref{rees}.]
	We write down an $\MO_X[t]$-module on $X$. Let \[\E_{\A^1} = \bigoplus_{j=1}^l \E_j t^j \oplus \bigoplus_{j \ge l+1} \E t^j   \] Multiplication with $t$ is given by $\E_jt^j \mapsto \E_{j+1}t^{j+1}$ via $i_j$, the map $\E t^j \to \E t^{j+1}$ is just given by the identity. 
	\begin{enumerate}
		\item We will show the stronger statement. We have \[\res{\E_{\A^1}}{\A^1 \setminus \{0\}} = \E_{\A^1} \otimes_{\MO_X[t]} \MO_X[t,t^{-1}] = \E[t,t^{-1}]\]
		\item A direct computation shows that \[E_{\A^1} \otimes_{\MO_X[t]} \left(\MO_X[t]/(t=0)\right) = \E_1 \oplus \E_2/\E_1 \oplus \dots \oplus \E_l/\E_{l-1} \oplus 0 \oplus 0 \oplus \dots \]
		\item The sheaf $\E_{\A^1}$ is flat over $\A^1 \setminus  \{0\}$ by the first statement. We need to check $t=0$. But multiplication by $t$ is injective. Hence, $\E_{\A^1}$ is torsion free over $\A^1$ and hence locally free (flat). \qedhere
	\end{enumerate}
\end{proof}
\begin{example}
	We will compute the cohomology of the fibers from the previous example.
	We have \[H^0(\PR^1, \F_t) = \begin{cases}
		k^2, & \text{if } t \neq 0  \\
		k^{d+1} & \text{if } t = 0 \\
	\end{cases} \]
	and \[H^1(\PR^1,\F_t) = \begin{cases}
		0, & \text{if } t \neq 0 \\
		k^{d-1}, & \text{if } t = 0
	\end{cases}\]
	Hence, \[\chi(\PR^1, \F_t) = 2 = \begin{cases}
		2-0, & \text{if } t \neq 0 \\
		(d+1)-(d-1), & \text{if } t = 0 
	\end{cases} \]
\end{example}
\begin{lemma} \label{lem0704first}
	Let $\F$ be (quasi-)coherent on $X$ and let $\pi \colon X \to Y = \Spec B$ be  a quasi-seperated and quasi-compact morphism. Then \[R^i \pi_\ast \F \cong \widetilde{H^i(X, \F)} \,. \]
\end{lemma}
\begin{proof}
	Since $\pi$ is qsqc, $\pi_\ast \F$ is also quasi-coherent. Hence, $\pi_\ast \F = \widetilde{\Gamma(Y,\pi_\ast \F)} = \widetilde{\Gamma(X,F)}$. Hence, the statement holds for $i=0$. Both sider are effeaceble/universal $\delta$-functors in $\F$, so they are the same.
\end{proof}
\begin{example}
	Let us again consider $\F = \MO_{\PR^1}(-d)t \oplus \MO_{\PR^1}^{\oplus 2} t^2 \oplus \MO_{\PR^1}^{\oplus 2} t^3 \oplus \dots$ and $\pi_\ast \F = 0 \cdot t \oplus k^2 t^2 \oplus k^2t^3 \oplus \dots = t^2k[t]^{\oplus 2} \cong k[t]^{\oplus 2}$.
	
	We get $R^1 \pi_\ast \F = k^{d-1}t \cong k^{d-1}$ (where $t$ acts by $0$).
	
	We have $\pi_\ast \F = \MO_{\A^1}^{\oplus 2}$. 
	So, $R^1 \pi_\ast \F = k_0^{\oplus d-1}$ where $k_0$ is the skyscraper sheaf at $0$.
	
	
	We compute the fibers of $R^i \pi_\ast \F$. Here, \[
	 (R^1\pi_\ast \F)_t = \begin{cases}
	  0, & \text{if } t \neq 0 \\
	  k^{d-1} & \text{if } t = 0 
	 \end{cases}\]
	 which matches with $H^1(\PR^1, \F_t)$. But \[(R^0\pi_\ast \F)_t = \begin{cases}
	 	k^2, & \text{if } t \neq 0 \\
	 	k^2, & \text{if } t = 0 
	 \end{cases} \]
	 doesn't matches for $t=0$ (too small).
\end{example}
\section{Cohomology and Base Change}
Let $X,Y$ be Noetherian schemes, $\F$ a coherent sheaf on $X$. Let $\pi \colon X \to Y$ be proper (by a Theorem of Grothendieck this is equivalent to $R^i \pi_\ast \F$ is coherent for all $i$ or assume that $\pi$ is projective). Furthermore, let $\F$ be flat over $Y$. 
\begin{theorem}[Semicontinuity]
	The function \[y \longmapsto \dim_{\kappa(y)} H^i(X_y, \res{\F}{X_y}) \] is upper semicontinuous in $y$ for all $i$ (jumps up over closed subsets).
\end{theorem}
We will construct a map \[r^i_y \colon (R^i \pi_\ast \F ) \otimes \kappa(y) \to H^i(X_y, \res{\F}{X_y}) \]
\begin{theorem}[Cohomology and base change] \label{CBC}
	Assume that $r^i_y$ is surjective. Then 
	\begin{enumerate}
		\item The function $r_{y^\prime}^i$ is an isomorphism for all $y^\prime \in U$ for some open neighborhood $U \ni y$. 
		\item $r_y^{i-1}$ is surjective $\iff$ $R^i \pi_\ast \F$ is locally free at $y$.
	\end{enumerate}
\end{theorem}
What is $r_y^i$? We need two lemmas.
\begin{lemma} \label{lem07041}
	Let $U \subset Y$ be open. Then $\res{(R^i \pi_\ast \F)}U \xrightarrow{\sim} R^i \pi_\ast (\res{\F}U)$ is an isomorphism.
\end{lemma}
\begin{proof}
	Check this for $i=0$, both sides are universal.
\end{proof}
\begin{lemma} \label{lem07042}
	Let $X \to Y = \Spec B$ be seperated an quasi-compact. Then $R^i \pi_\ast \F  = H^i(X,\F)^{\sim} = \left(\check H^i(C^\bullet(\UC,\F))\right)^{\sim}$ for any open affine cover $\UC$ of $X$. 
\end{lemma}
\begin{proof}
	Follows immediately from \Cref{lem0704first} and \Cref{cechsheaf}.
\end{proof}
We will now construct $r_y^i$. By \Cref{lem07041}, assume that $Y = \Spec B$. Then \[(R^i \pi_\ast \F) \otimes \kappa(y) = H^i(C^\bullet (\UC,\F)) \otimes_B\kappa(y) \longrightarrow H^i(C^\bullet(\UC,\F) \otimes_B\kappa(y)) \cong H^i(X_y, \res{F}{X_y}) \,. \] This comes from the general fact that for any $f \colon \mathcal A \to \mathcal B$ covariant, right exact, there exists a natural map $F(H^i(C^\bullet)) \to H^i(F(C^\bullet))$. 
\begin{proof}[Proof of \Cref{CBC}.]
	Assume $Y = \Spec B$. 
	By \Cref{lem07042}, $R^i \pi_\ast \F = \check H^i(C^\bullet(\UC,\F))^\sim$. There is a complex \[\begin{tikzcd}
		\dots \arrow{r} & K_{-2} \arrow{r} & K_{-1} \arrow{r} & K_0 \arrow{r} & \dots \arrow{r} & sK_{n-1} \arrow{r} & K_n \arrow{r} & \dots
	\end{tikzcd} \]
	of free, finitely generated $B$-modules $K_i$ such that \[H^i(K^\bullet \otimes \kappa(y)) \cong H^i(X_y, \res{\F}{X_y}) \] for all $y \in Y$. 
	This can be constructed inductively. \[\begin{tikzcd}
		& & & K_{m+1} \arrow{d}{\alpha_{m+1}} \arrow{r}{d^{m+1}} & K_{m+2} \arrow{d}{\alpha_{m+2}} \arrow{r} & \dots \arrow{d} \\
		\dots \arrow{r} & C_{m-1} \arrow{r} & C_m \arrow{r} & C_{m+1} \arrow{r} & C_{m+2} \arrow{r} & \dots
	\end{tikzcd} \]
	such that $\alpha_i \colon H^i(K_\bullet) \to H^i(C, \bullet)$ is an isomorphism for $i \ge m+2$ and $\overline{\alpha}_{m+1} \colon \ker(d^{m+1}) \to H^{m+1}(C_\bullet)$ is surjective. 
	Let $c_1, \dots , c_M \in \ker(\overline{\alpha}_{m+1})$ and $d_1, \dots , d_N \in H^m(C^\bullet)$. Define  \begin{align*} K_m \coloneqq B^{\oplus M+N} & \longrightarrow K_{m+1} \\
	e_i & \longmapsto c_i \\
	f_i & \longmapsto 0 \end{align*}
	where $e_i, i=1, \dots , m $ and $f_i = 1, \dots , n$ is a basis of $K_m$.
	
	Finally, $R^i \pi_\ast \F \cong H^i(K_\bullet)$. Jumping of $(R^i \pi_\ast \F) \otimes \kappa(y)$ happens if and only if jumping of ranks of matrices $K_m \xrightarrow{d_m} X_{m+1}$.
\end{proof}
Application. Let $C,T$ be Noetherian. And $\pi \colon C \to T$ be flat, proper. Then for all $t \in T$, $C_t$ is smooth, geometrical integral ($h^0(C_t, \MO_{C_t})=1$) curve over $k$.

Last time, we showed that $\pi$ is smooth and $\Omega_{C/T}$ is locally free of rank $1$. 
\begin{proposition}
	Let $\mathbb E = \pi_\ast \Omega_{C/T}$. This is a locally free sheaf/vector bundle of rank $g$ such that for all $t \in T$, $\mathbb E_t = H^0(C_t, \Omega_{C_t})$. 
\end{proposition} 
\begin{proof}
	We have $H^2(C_t, \Omega_{C/T})=0$. Hence, $r^2_t$ is surjective for all $t$. By \Cref{CBC}, $r^2_t$ is an isomorphism for all $t$ and furthermore, $R^2 \pi_\ast \Omega_{C/T}=0$ (You can see this directly from dimensions reasons, $\pi$ projective). By \Cref{CBC}, $r^1_t$ is surjective for all $t$. Finally, $r^1_t$ is an isomorphism. We need to check that $R^1 \pi_\ast \Omega_{C/T}$ is locally free. 
	
	The easy case is the one where $T$ is reduced. Hence, $R^i \pi_\ast \Omega_{C/T}$ is coherent sheaf such that all fibers have same dimension, namely $\dim (R^1 \pi_\ast \Omega_{C/T}) \otimes k(t) = \dim H^1(C_t, \Omega_{C_t}) = \dim H^0(C_t, \MO_{C_t}) = 1 $. hence, $R^1\pi_\ast \Omega_{C/T}$ is locally free of dimension $1$. 
	
	The harder case is the one where $T$ is non-reduced, use relative Serre duality and define a trace map and show it is an isomorphism on fibers.
	
	$R^i \pi_\ast \Omega_{C/T}$ is locally free implies that $r_t^0 $ is surjective for all $t$ (\Cref{CBC}) and hence $r_t^0$ is an isomorphism for all $t$. Hence, $r_t^0 \colon \mathbb E_t \xrightarrow{\sim} H^0(C_t, \Omega_{C_t})$.
	
	Finally, also $r_t^{-1}$ is surjective. Hence, $\pi_\ast \Omega_{C/T}$ is locally free. 
\end{proof}
Another application is describing the locus in $T$ where the fiber $C_t$ is hyperelleptic.
